org.fourthline.cling.support.model.dlna

## Class DLNAProfileAttribute

- java.lang.Object
- - org.fourthline.cling.support.model.dlna.DLNAAttribute<DLNAProfiles>
  - - org.fourthline.cling.support.model.dlna.DLNAProfileAttribute

-     public class DLNAProfileAttribute
      extends DLNAAttribute<DLNAProfiles>

  Author:
    Mario Franco

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.dlna.DLNAAttribute

      `DLNAAttribute.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLNAProfileAttribute()`
    `DLNAProfileAttribute(DLNAProfiles profile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s, String cf)`

    - ### Methods inherited from class org.fourthline.cling.support.model.dlna.DLNAAttribute

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DLNAProfileAttribute

          public DLNAProfileAttribute()

    - #### DLNAProfileAttribute

          public DLNAProfileAttribute(DLNAProfiles profile)

  - ### Method Detail

    - #### setString

          public void setString(String s,
                                String cf)
                         throws InvalidDLNAProtocolAttributeException

      Specified by:
        `setString` in class `DLNAAttribute<DLNAProfiles>`
      Parameters:
        `s` - This attribute's value as a string representation.
        `cf` - This attribute's mime type as a string representation, optional.
      Throws:
        `InvalidDLNAProtocolAttributeException` - If the value is invalid for this DLNA attribute.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `DLNAAttribute<DLNAProfiles>`
      Returns:
        A string representing this attribute's value.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.